package com.jeesharp.business.modules.food.service;

import com.jeesharp.business.modules.food.entity.FoodMealMenuTemplate;
import com.jeesharp.business.modules.food.vo.FoodMealMenuTemplateQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;
import java.util.Map;

public interface FoodMealMenuTemplateService extends BaseInterface<FoodMealMenuTemplate, FoodMealMenuTemplateQueryVO> {

    void createTemplate(FoodMealMenuTemplate entity);

    void updateTemplate(FoodMealMenuTemplate entity);

    void updateStatus(String id, Integer status);

    FoodMealMenuTemplate getEnabled(String id);

    Map<String, String> mapTemplateNameByIds(List<String> ids);
}
